Package io.dapr.v1

# Class DaprAppCallbackProtos.BulkSubscribeConfig.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BulkSubscribeConfig.Builder>
io.dapr.v1.DaprAppCallbackProtos.BulkSubscribeConfig.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprAppCallbackProtos.BulkSubscribeConfigOrBuilder`, `Cloneable`

Enclosing class:
  DaprAppCallbackProtos.BulkSubscribeConfig

public static final class DaprAppCallbackProtos.BulkSubscribeConfig.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BulkSubscribeConfig.Builder> implements DaprAppCallbackProtos.BulkSubscribeConfigOrBuilder

     BulkSubscribeConfig is the message to pass settings for bulk subscribe

Protobuf type `dapr.proto.runtime.v1.BulkSubscribeConfig`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DaprAppCallbackProtos.BulkSubscribeConfig.Builder`
  `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `DaprAppCallbackProtos.BulkSubscribeConfig`
  `build()`
  `DaprAppCallbackProtos.BulkSubscribeConfig`
  `buildPartial()`
  `DaprAppCallbackProtos.BulkSubscribeConfig.Builder`
  `clear()`
  `DaprAppCallbackProtos.BulkSubscribeConfig.Builder`
  `clearEnabled()`
  Required.
  `DaprAppCallbackProtos.BulkSubscribeConfig.Builder`
  `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
  `DaprAppCallbackProtos.BulkSubscribeConfig.Builder`
  `clearMaxAwaitDurationMs()`
  Optional.
  `DaprAppCallbackProtos.BulkSubscribeConfig.Builder`
  `clearMaxMessagesCount()`
  Optional.
  `DaprAppCallbackProtos.BulkSubscribeConfig.Builder`
  `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
  `DaprAppCallbackProtos.BulkSubscribeConfig.Builder`
  `clone()`
  `DaprAppCallbackProtos.BulkSubscribeConfig`
  `getDefaultInstanceForType()`
  `static final com.google.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `com.google.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `boolean`
  `getEnabled()`
  Required.
  `int`
  `getMaxAwaitDurationMs()`
  Optional.
  `int`
  `getMaxMessagesCount()`
  Optional.
  `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `DaprAppCallbackProtos.BulkSubscribeConfig.Builder`
  `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `DaprAppCallbackProtos.BulkSubscribeConfig.Builder`
  `mergeFrom(com.google.protobuf.Message other)`
  `DaprAppCallbackProtos.BulkSubscribeConfig.Builder`
  `mergeFrom(DaprAppCallbackProtos.BulkSubscribeConfig other)`
  `final DaprAppCallbackProtos.BulkSubscribeConfig.Builder`
  `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
  `DaprAppCallbackProtos.BulkSubscribeConfig.Builder`
  `setEnabled(boolean value)`
  Required.
  `DaprAppCallbackProtos.BulkSubscribeConfig.Builder`
  `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `DaprAppCallbackProtos.BulkSubscribeConfig.Builder`
  `setMaxAwaitDurationMs(int value)`
  Optional.
  `DaprAppCallbackProtos.BulkSubscribeConfig.Builder`
  `setMaxMessagesCount(int value)`
  Optional.
  `DaprAppCallbackProtos.BulkSubscribeConfig.Builder`
  `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
  `final DaprAppCallbackProtos.BulkSubscribeConfig.Builder`
  `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

  ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BulkSubscribeConfig.Builder>`

  - ### clear

    public DaprAppCallbackProtos.BulkSubscribeConfig.Builder clear()
    Specified by:
      `clear` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BulkSubscribeConfig.Builder>`

  - ### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BulkSubscribeConfig.Builder>`

  - ### getDefaultInstanceForType

    public DaprAppCallbackProtos.BulkSubscribeConfig getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

  - ### build

    public DaprAppCallbackProtos.BulkSubscribeConfig build()
    Specified by:
      `build` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `build` in interface `com.google.protobuf.MessageLite.Builder`

  - ### buildPartial

    public DaprAppCallbackProtos.BulkSubscribeConfig buildPartial()
    Specified by:
      `buildPartial` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

  - ### clone

    public DaprAppCallbackProtos.BulkSubscribeConfig.Builder clone()
    Specified by:
      `clone` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BulkSubscribeConfig.Builder>`

  - ### setField

    public DaprAppCallbackProtos.BulkSubscribeConfig.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `setField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BulkSubscribeConfig.Builder>`

  - ### clearField

    public DaprAppCallbackProtos.BulkSubscribeConfig.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BulkSubscribeConfig.Builder>`

  - ### clearOneof

    public DaprAppCallbackProtos.BulkSubscribeConfig.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BulkSubscribeConfig.Builder>`

  - ### setRepeatedField

    public DaprAppCallbackProtos.BulkSubscribeConfig.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)
    Specified by:
      `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BulkSubscribeConfig.Builder>`

  - ### addRepeatedField

    public DaprAppCallbackProtos.BulkSubscribeConfig.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BulkSubscribeConfig.Builder>`

  - ### mergeFrom

    public DaprAppCallbackProtos.BulkSubscribeConfig.Builder mergeFrom(com.google.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.BulkSubscribeConfig.Builder>`

  - ### mergeFrom

    public DaprAppCallbackProtos.BulkSubscribeConfig.Builder mergeFrom(DaprAppCallbackProtos.BulkSubscribeConfig other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BulkSubscribeConfig.Builder>`

  - ### mergeFrom

    public DaprAppCallbackProtos.BulkSubscribeConfig.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.BulkSubscribeConfig.Builder>`
    Throws:
      `IOException`

  - ### getEnabled

    public boolean getEnabled()

         Required. Flag to enable/disable bulk subscribe

    `bool enabled = 1;`
    Specified by:
      `getEnabled` in interface `DaprAppCallbackProtos.BulkSubscribeConfigOrBuilder`
    Returns:
      The enabled.

  - ### setEnabled

    public DaprAppCallbackProtos.BulkSubscribeConfig.Builder setEnabled(boolean value)

         Required. Flag to enable/disable bulk subscribe

    `bool enabled = 1;`
    Parameters:
      `value` - The enabled to set.
    Returns:
      This builder for chaining.

  - ### clearEnabled

    public DaprAppCallbackProtos.BulkSubscribeConfig.Builder clearEnabled()

         Required. Flag to enable/disable bulk subscribe

    `bool enabled = 1;`
    Returns:
      This builder for chaining.

  - ### getMaxMessagesCount

    public int getMaxMessagesCount()

         Optional. Max number of messages to be sent in a single bulk request

    `int32 max_messages_count = 2;`
    Specified by:
      `getMaxMessagesCount` in interface `DaprAppCallbackProtos.BulkSubscribeConfigOrBuilder`
    Returns:
      The maxMessagesCount.

  - ### setMaxMessagesCount

    public DaprAppCallbackProtos.BulkSubscribeConfig.Builder setMaxMessagesCount(int value)

         Optional. Max number of messages to be sent in a single bulk request

    `int32 max_messages_count = 2;`
    Parameters:
      `value` - The maxMessagesCount to set.
    Returns:
      This builder for chaining.

  - ### clearMaxMessagesCount

    public DaprAppCallbackProtos.BulkSubscribeConfig.Builder clearMaxMessagesCount()

         Optional. Max number of messages to be sent in a single bulk request

    `int32 max_messages_count = 2;`
    Returns:
      This builder for chaining.

  - ### getMaxAwaitDurationMs

    public int getMaxAwaitDurationMs()

         Optional. Max duration to wait for messages to be sent in a single bulk request

    `int32 max_await_duration_ms = 3;`
    Specified by:
      `getMaxAwaitDurationMs` in interface `DaprAppCallbackProtos.BulkSubscribeConfigOrBuilder`
    Returns:
      The maxAwaitDurationMs.

  - ### setMaxAwaitDurationMs

    public DaprAppCallbackProtos.BulkSubscribeConfig.Builder setMaxAwaitDurationMs(int value)

         Optional. Max duration to wait for messages to be sent in a single bulk request

    `int32 max_await_duration_ms = 3;`
    Parameters:
      `value` - The maxAwaitDurationMs to set.
    Returns:
      This builder for chaining.

  - ### clearMaxAwaitDurationMs

    public DaprAppCallbackProtos.BulkSubscribeConfig.Builder clearMaxAwaitDurationMs()

         Optional. Max duration to wait for messages to be sent in a single bulk request

    `int32 max_await_duration_ms = 3;`
    Returns:
      This builder for chaining.

  - ### setUnknownFields

    public final DaprAppCallbackProtos.BulkSubscribeConfig.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BulkSubscribeConfig.Builder>`

  - ### mergeUnknownFields

    public final DaprAppCallbackProtos.BulkSubscribeConfig.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BulkSubscribeConfig.Builder>`